Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 210758 - Review Request: aspell-fa - Persian dictionaries for Aspell
Summary: Review Request: aspell-fa - Persian dictionaries for Aspell
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 7
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-10-14 12:09 UTC by Mola Pahnadayan
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-19 01:46:25 UTC


Attachments (Terms of Use)

Description Mola Pahnadayan 2006-10-14 12:09:06 UTC
Spec URL: http://mola.c100c.com/data/files/Spec%20file/aspell-fa.spec
SRPM URL: http://mola.c100c.com/data/files/fc5.srpm/aspell6-fa-0.10-0.src.rpm
Description: Provides the word list/dictionaries for the following: Persian

Comment 1 Jason Tibbitts 2006-10-14 15:07:05 UTC
I'm blocking FE-NEEDSPONSOR because I don't see Mola's name in the cvsextras
group.  Please remove it if this is incorrect.  Mola, please see
http://fedoraproject.org/wiki/Extras/HowToGetSponsored

Comment 2 Jason Tibbitts 2006-10-14 16:33:56 UTC
It looks to me like you went to the account system to apply for sponsorship, but
you seem to have skipped a few steps.  Or do you actually have a sponsor lined
up already?  If not, I will deny your request in the account system and you can
re-apply when you are actually ready to do so.

Comment 3 Mola Pahnadayan 2006-10-14 21:06:30 UTC
hmm what step i forgot ? 
fedora account , 
add cvsextras group 
add package ?

Comment 4 Mola Pahnadayan 2006-10-14 21:08:33 UTC
like this page http://www.fedoraproject.org/wiki/Extras/Contributors

Comment 5 Jason Tibbitts 2006-10-14 21:40:00 UTC
You seem to have skipped over the "Watch for Feedback" and "Get Sponsored" steps
from the document you cite.

Your package needs to be reviewed by a sponsor first, and then, if acceptable it
will be approved and then you can apply for cvsextras access.  But please note
the following, quoted from the Contributors document you mention above:

However, please note that sponsorship is not automatic and may require that you
participate in the process of reviewing other packages in order to demonstrate
your understanding of the packaging guidelines. See Extras/HowToGetSponsored for
more information on the process of finding a sponsor.

The HowToGetSponsored page is the one I directed you to in comment #1.

Comment 6 Mola Pahnadayan 2006-11-01 18:53:51 UTC
update rpmlint warning 

Specfile : http://www.c100c.com/fedora/aspell6-fa.spec
SRPM : http://www.c100c.com/fedora/aspell6-fa-0.10-0.src.rpm

Comment 7 Michael Schwendt 2007-01-08 13:27:53 UTC
Just some comments and hints:

* Also run rpmlint on the built rpms:

$ rpmlint ~/tmp/rpm/RPMS/aspell6-fa-0.10-0.i386.rpm 
W: aspell6-fa incoherent-version-in-changelog 0.10 0.10-0
E: aspell6-fa no-binary
E: aspell6-fa only-non-binary-in-usr-lib
W: aspell6-fa no-documentation

At least the two "W"arnings are helpful. The "E"errors can be ignored
with this package.

* Why is the package called "aspell6-fa" when all other aspell language
packages are called "aspell-*"?

* The defined %lang macro is not used in "Source0" everywhere.

* Creating a macro for the Aspell "0.60" version is highly recommended.

* Summary says "Farsi" only, description says "Persian" only. For
consistency and better results when searching package summaries,
I would use the name "Farsi" also in the description.

* Licence file COPYING is not included as %doc.

* Don't include the aspell home directory, because it belongs into
the aspell mother package already, and you require that package.

$ rpmls -p aspell6-fa-0.10-0.i386.rpm |grep ^d
drwxr-xr-x  /usr/lib/aspell-0.60

Only include the files below that directory with this entry in the
%files section:

%{_libdir}/aspell-0.60/*

* In your spec %changelog, specify the package version as full
version-release, not just its version. Packages usually start with
release 1, not 0.

Comment 8 Jason Tibbitts 2007-06-06 00:16:08 UTC
It's been five months since the last comment; is there still interest in getting
this package into the distribution?

Comment 9 Mola Pahnadayan 2007-06-10 15:50:41 UTC
i want to add this package 

Spec URL: http://mola.c100c.com/data/files/Spec%20file/aspell6-fa.spec
SRPM URL: http://mola.c100c.com/data/files/Srpm/aspell6-fa-0.11-0.src.rpm

Comment 10 Michel Alexandre Salim 2007-09-22 18:00:15 UTC
Package no longer on the server (why was the name aspell6-fa, anyway?). Should
this be closed?

Comment 11 Jason Tibbitts 2007-11-03 18:34:31 UTC
This has been in NEEDINFO state for over a month now; I will close this ticket
soon if there is no response.

Comment 12 Jason Tibbitts 2007-11-19 01:46:25 UTC
Another two weeks have passed; closing.


Note You need to log in before you can comment on or make changes to this bug.